Application: gvSIG desktop - gvSIG bugs #2457
Error en la gestion de reglas de validacion del Feature
03/20/2014 05:24 PM - Francisco Diaz Carsi

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category:

Target version: 2.1.0-2222-testing

Severity: Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

No se tiene en cuenta si la featureRule se debe de aplicar en UPDATE o FINISHEDITION y siempre se aplican en el UPDATE.
Hay que corregir en el DefaultFeatureType, en el metodo validateFeature, y en el DefaultFeatureRule, que atrapa todas las
excepciones y nadie se entera si alguna regla falla.

Associated revisions

Revision 41251 - 03/25/2014 11:03 AM - Joaquin del Cerro Murciano

Fix validate invocation of features
refs #2457

History

#1 - 03/25/2014 04:04 PM - Joaquin del Cerro Murciano
- Status changed from New to Fixed

#2 - 03/28/2014 12:27 PM - Alvaro Anguix

- Status changed from Fixed to Closed
